com.gisgraphy.webapp.action

## Class EditStreetAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.BaseAction
    - - com.gisgraphy.webapp.action.EditStreetAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.Preparable, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class EditStreetAction
      extends BaseAction
      implements com.opensymphony.xwork2.Preparable

  Edit Street (openstreetMap entity) action
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, CANCEL, delete, from, log, mailEngine, mailMessage, roleManager, save, templateName, userManager`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditStreetAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `doDelete()`
    `String` | `doSave()`
    `protected long` | `generateGid()`
    `List<Country>` | `getCountries()`
    `String` | `getErrorMessage()`
    `Long` | `getId()`
    `String` | `getLatitude()`
    `String` | `getLongitude()`
    `OpenStreetMap` | `getOpenstreetmap()`
    `String` | `getShape()`
    `String` | `getStackTrace()`
    `String` | `getStreettype()`
    `com.gisgraphy.street.StreetType[]` | `getStreetTypes()`
    `String` | `input()`
    `void` | `prepare()`
    `protected Double` | `processLength(com.vividsolutions.jts.geom.LineString lineString)`
    `protected com.vividsolutions.jts.geom.Point` | `processPoint()`
    `protected com.vividsolutions.jts.geom.LineString` | `processShape()`
    `protected com.gisgraphy.street.StreetType` | `processStreettype()`
    `String` | `save()`
    `void` | `setCountryDao(CountryDao countryDao)`
    `void` | `setErrorMessage(String errorMessage)`
    `void` | `setId(Long id)`
    `void` | `setIdGenerator(IIdGenerator idGenerator)`
    `void` | `setInternationalisationService(IInternationalisationService internationalisationService)`
    `void` | `setLatitude(String latitude)`
    `void` | `setLongitude(String longitude)`
    `void` | `setOpenstreetmap(OpenStreetMap openstreetmap)`
    `void` | `setOpenStreetMapDao(IOpenStreetMapDao openStreetMapDao)`
    `void` | `setopenstreetmaps(OpenStreetMap openstreetmap)`
    `void` | `setShape(String shape)`
    `void` | `setSolRSynchroniser(ISolRSynchroniser solRSynchroniser)`
    `void` | `setStackTrace(String stackTrace)`
    `void` | `setStreettype(String streettype)`
    `void` | `setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)`

    - ### Methods inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, getConfiguration, getRequest, getResponse, getSession, saveMessage, sendUserMessage, setDelete, setFrom, setMailEngine, setMailMessage, setRoleManager, setSave, setTemplateName, setUserManager`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditStreetAction

          public EditStreetAction()

  - ### Method Detail

    - #### getStreettype

          public String getStreettype()

    - #### setStreettype

          public void setStreettype(String streettype)

    - #### getCountries

          public List<Country> getCountries()

      Returns:
        the available countries

    - #### getStreetTypes

          public com.gisgraphy.street.StreetType[] getStreetTypes()

    - #### prepare

          public void prepare()

      Specified by:
        `prepare` in interface `com.opensymphony.xwork2.Preparable`

    - #### input

          public String input()

      Overrides:
        `input` in class `com.opensymphony.xwork2.ActionSupport`

    - #### save

          public String save()

    - #### doSave

          public String doSave()

    - #### processLength

          protected Double processLength(com.vividsolutions.jts.geom.LineString lineString)

    - #### processStreettype

          protected com.gisgraphy.street.StreetType processStreettype()

    - #### processShape

          protected com.vividsolutions.jts.geom.LineString processShape()

    - #### processPoint

          protected com.vividsolutions.jts.geom.Point processPoint()

    - #### generateGid

          protected long generateGid()

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long id)

    - #### doDelete

          public String doDelete()

      Returns:
        the max openstreetmap id found in the Datastore + an increment

    - #### getOpenstreetmap

          public OpenStreetMap getOpenstreetmap()

    - #### getLatitude

          public String getLatitude()

    - #### setLatitude

          public void setLatitude(String latitude)

    - #### getLongitude

          public String getLongitude()

    - #### setLongitude

          public void setLongitude(String longitude)

    - #### getShape

          public String getShape()

    - #### setShape

          public void setShape(String shape)

    - #### setOpenstreetmap

          public void setOpenstreetmap(OpenStreetMap openstreetmap)

    - #### setopenstreetmaps

          public void setopenstreetmaps(OpenStreetMap openstreetmap)

    - #### getErrorMessage

          public String getErrorMessage()

      Returns:
        the errorMessage

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

      Parameters:
        `errorMessage` - the errorMessage to set

    - #### getStackTrace

          public String getStackTrace()

      Returns:
        the stackTrace

    - #### setStackTrace

          public void setStackTrace(String stackTrace)

      Parameters:
        `stackTrace` - the stackTrace to set

    - #### setOpenStreetMapDao

          public void setOpenStreetMapDao(IOpenStreetMapDao openStreetMapDao)

    - #### setCountryDao

          public void setCountryDao(CountryDao countryDao)

    - #### setTransactionManager

          public void setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### setInternationalisationService

          public void setInternationalisationService(IInternationalisationService internationalisationService)

    - #### setIdGenerator

          public void setIdGenerator(IIdGenerator idGenerator)

    - #### setSolRSynchroniser

          public void setSolRSynchroniser(ISolRSynchroniser solRSynchroniser)

Copyright © 2015. All rights reserved.